Bug 207141 - Review Request: farsight - A audio/video conferencing framework
Review Request: farsight - A audio/video conferencing framework
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-19 13:43 EDT by Brian Pepple
Modified: 2008-04-23 12:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-24 01:19:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2006-09-19 13:43:11 EDT
Spec URL: http://piedmont.homelinux.org/fedora/telepathy/farsight.spec
SRPM URL: http://piedmont.homelinux.org/fedora/telepathy/farsight-0.1.8-1.src.rpm
Description: FarSight is an audio/video conferencing framework specifically designed for Instant Messengers. It aims to provide a code structure that will be able to absorb as many video conferencing protocols as possible. It also
offers an interface to those Instant Messengers, allowing them to embed the video feeds and controls into them.

FarSight is not a standalone application. It provides two APIs, one for
interfacing with the different "protocol modules" and one for interfacing
with the Instant Messenger GUI.
Comment 1 Kevin Fenzi 2006-09-23 01:11:00 EDT
OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
See below - License (GPL)
See below - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
68daa710087201064680fd02c8a4951a  farsight-0.1.8.tar.gz
68daa710087201064680fd02c8a4951a  farsight-0.1.8.tar.gz.1
OK - Package compiles and builds on at least one arch.
OK - BuildRequires correct
OK - Spec has needed ldconfig in post and postun
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Headers/static libs in -devel subpackage.
OK - .pc files in -devel subpackage.
OK - .so files in -devel subpackage.
OK - -devel package Requires: %{name} = %{version}-%{release}
OK - .la files are removed.
OK - Package doesn't own any directories other packages own.
OK - No rpmlint output.

SHOULD Items:

See below - Should include License or ask upstream to include it.
OK - Should build in mock.
(fc6 {i386|x86_64})

Issues:

1. Is the License LGPL or GPL? The spec says GPL, but the COPYING file
is the LGPL, and all the source files refer to LGPL.

2. Are all the disables needed? Or could some of them be enabled
if other packages were in extras?
        --disable-sequence-diagrams     \
        --disable-sofia-sip             \
        --disable-gnet                  \
        --disable-msnwebcam             \
        --disable-yahoowebcam           \

3. rpmlint says:
W: farsight-devel no-documentation

which can be ignored.
Comment 2 Brian Pepple 2006-09-23 09:14:59 EDT
(In reply to comment #1)> 
> Issues:
> 
> 1. Is the License LGPL or GPL? The spec says GPL, but the COPYING file
> is the LGPL, and all the source files refer to LGPL.

Package should be LGPL.

 
> 2. Are all the disables needed? Or could some of them be enabled
> if other packages were in extras?
>         --disable-sequence-diagrams     \
>         --disable-sofia-sip             \
>         --disable-gnet                  \
>         --disable-msnwebcam             \
>         --disable-yahoowebcam           \

The disables are currently needed, since most of the other plugins are currently
experimental, or in need of a port to their respective new API.

Comment 3 Kevin Fenzi 2006-09-23 20:47:46 EDT
ok. Change the spec to have 
License:        LGPL

and this package is APPROVED. 
Comment 4 Brian Pepple 2008-04-23 11:41:26 EDT
Package Change Request
======================
Package Name: farsight
New Branches: OLPC2
Updated Fedora Owners: gdesmott,bpepple
Comment 5 Jason Tibbitts 2008-04-23 12:20:52 EDT
CVS done.  BTW, the branch is "OLPC-2"; confused me for a bit.

Note You need to log in before you can comment on or make changes to this bug.